Subject: Re: [patch] font-cns11643: ... unzip error

From: Brendan Tildesley <[email-masked]>
Date: Mon, 31 Jan 2022 12:23:02 +0100 (CET)

> On 01/31/2022 10:18 AM Maxime Devos <[email-masked]> wrote:
> 
>  
> Brendan Tildesley schreef op ma 31-01-2022 om 02:59 [+0100]:
> > I tried updating it but came across an unzip error, maybe unicode related. I've also noticed in my Icecat there are all these icons that are showing as random korean characters, so I wonder if my configuration is wrong somehow??:
> 
> Maybe add glibc-utf8-locales to the native-inputs of the package
> definition, such that an UTF-8 locale can be installed?
> 
> Greetings,
> Maxime.

I just noticed there is also this:

starting phase `install-locale'
warning: failed to install 'en_US.utf8' locale: Invalid argument

It occurs for other font-build-system fonts too. Adding glibc-utf8-locales or glibc-locales didn't fix it.
I don't understand it because its just based off gnu-build-system which doesn't have that issue.

It doesn't GUIX_LOCPATH either